net.minecraft.enchantment

## Class EnchantmentDurability

- java.lang.Object
- - net.minecraft.enchantment.Enchantment
  - - net.minecraft.enchantment.EnchantmentDurability

-     public class EnchantmentDurability
      extends Enchantment

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.enchantment.Enchantment

      `aquaAffinity, baneOfArthropods, blastProtection, effectId, efficiency, enchantmentsList, featherFalling, field_92090_c, field_92091_k, fireAspect, fireProtection, flame, fortune, infinity, knockback, looting, power, projectileProtection, protection, punch, respiration, sharpness, silkTouch, smite, type, unbreaking`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `func_92089_a(ItemStack par1ItemStack)`
    `static boolean` | `func_92097_a(ItemStack par0ItemStack, int par1, Random par2Random)`
    `int` | `getMaxEnchantability(int par1)` Returns the maximum value of enchantability nedded on the enchantment level passed.
    `int` | `getMaxLevel()` Returns the maximum level that the enchantment can have.
    `int` | `getMinEnchantability(int par1)` Returns the minimal value of enchantability needed on the enchantment level passed.

    - ### Methods inherited from class net.minecraft.enchantment.Enchantment

      `addToBookList, calcModifierDamage, calcModifierLiving, canApplyAtEnchantingTable, canApplyTogether, getMinLevel, getName, getTranslatedName, getWeight, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMinEnchantability

          public int getMinEnchantability(int par1)

      Returns the minimal value of enchantability needed on the enchantment level passed.
      Overrides:
        `getMinEnchantability` in class `Enchantment`

    - #### getMaxEnchantability

          public int getMaxEnchantability(int par1)

      Returns the maximum value of enchantability nedded on the enchantment level passed.
      Overrides:
        `getMaxEnchantability` in class `Enchantment`

    - #### getMaxLevel

          public int getMaxLevel()

      Returns the maximum level that the enchantment can have.
      Overrides:
        `getMaxLevel` in class `Enchantment`

    - #### func_92089_a

          public boolean func_92089_a(ItemStack par1ItemStack)

      Overrides:
        `func_92089_a` in class `Enchantment`

    - #### func_92097_a

          public static boolean func_92097_a(ItemStack par0ItemStack,
                             int par1,
                             Random par2Random)